Changeset 2162 in main for trunk/docs


Ignore:
Timestamp:
03/12/13 16:26:48 (6 years ago)
Author:
pcosquer
Message:

upgrade instruction: explain dependencies, refs #187

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/docs/en/admin/upgrade/upgrade-1.3.rst

    r2161 r2162  
    33=========================================== 
    44 
     5:Date: 2013-03-12 
    56 
    67New/updated dependencies 
    78============================== 
    89 
     10.. note:: 
     11 
     12    Before upgrading dependencies, you should save a list of 
     13    installed versions. You can get one with the command 
     14    ``pip freeze``. 
     15 
    916Django 1.5 
    1017+++++++++++++++++ 
    1118 
    12 ``pip install -U 'django==1.5'`` 
     19OpenPLM 1.2 depends on Django 1.2 or Django 1.3, 
     20OpenPLM 1.3 requires Django 1.5. 
     21 
     22    * ``pip install -U 'django==1.5'`` 
    1323 
    1424Celery 3.0 and Django-Celery 3.0 
    1525++++++++++++++++++++++++++++++++++ 
    1626 
    17 ``pip install -U celery django-celery kombu`` 
    1827 
    19 ``librabbitmq`` 
     28OpenPLM 1.2 depends on Celery 2.3 or Celery 2.5, 
     29OpenPLM 1.3 is now compatible with Celery 3.0 which is the only version 
     30supported by OpenPLM. 
     31 
     32    * ``pip install -U celery django-celery kombu`` 
     33 
     34You should also install librabbitmq which is recommended by Celery to 
     35connect to RabbitMQ: 
     36 
     37    * ``pip install librabbitmq`` 
    2038 
    2139South 0.7.6 
    2240++++++++++++ 
    2341 
    24 ``pip install -U south`` 
     42South is used to migrate the database. You should always upgrade south 
     43before migrating a database: 
     44 
     45    * ``pip install -U south`` 
    2546 
    2647psycopg2 
     
    4667++++++++++++ 
    4768 
    48 ``pip install -U 'django-haystack==1.2.7'`` 
     69The required version of Haystack is still 1.2.7: 
     70 
     71    * ``pip install -U 'django-haystack==1.2.7'`` 
    4972 
    5073 
Note: See TracChangeset for help on using the changeset viewer.